﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  unzipLocation  = $toolsDir
  fileType       = 'msi'
  url            = 'https://builds.balsamiq.com/bwd/Balsamiq_Wireframes_4.5.4_x86_Setup.msi'
  url64bit       = 'https://builds.balsamiq.com/bwd/Balsamiq_Wireframes_4.5.4_x64_Setup.msi'
  softwareName   = 'Balsamiq Wireframes for Desktop'
  checksum       = 'd086fba04f2a2a543581a4b4b338310082e4be23c597416f2f67eb2929052c1f'
  checksumType   = 'sha256'
  checksum64     = '08c0d87d3234c94af057c84fbe5679717caa97b743fec6d6dd0c7cf7dcb987c7'
  checksumType64 = 'sha256'
  silentArgs     = '/qn WRAPPED_ARGUMENTS="/VERYSILENT /NORESTART /ALLUSERS"'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
